﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using System.ComponentModel;
using Infragistics.Windows.DataPresenter;

namespace WpfApplication255.ViewModel
{
 public    class VM:INotifyPropertyChanged
    {
     Boolean changeactive = false;
     public Boolean ChangeActive
     {
         get {return changeactive;} 
         set {changeactive = value;
         NotifyPropertyChanged("ChangeActive");
         }
     }

     Record activerecord;
     public Record ActiveRecord
     {
         get { return activerecord; }
         set {
             if (changeactive)
             {
                 activerecord = value;
                 prevrecord = activerecord;
                 NotifyPropertyChanged("ActiveRecord");
             }
             else 
             {
                 activerecord = prevrecord;
                // throw new Exception("cant change record");
             }
        
         }
          
     }

     Record prevrecord;
     public Record PrevRecord
     {
         get { return prevrecord; }
         set { prevrecord = value;
         NotifyPropertyChanged("PrevRecord");}
     }

     ObservableCollection<Person> people = new ObservableCollection<Person>();
     public ObservableCollection<Person> People
     {
         get { return people; }
         set { people = value;
              NotifyPropertyChanged("People");}
     }

     public VM()
     {
         for (int i = 0; i < 10; i++)
         {
             Person p = new Person()
             {
                 Name = "name " + i.ToString()
             };
             people.Add(p);
         }
     }

     public event PropertyChangedEventHandler PropertyChanged;

     private void NotifyPropertyChanged(String info)
     {
         if (PropertyChanged != null)
         {
             PropertyChanged(this, new PropertyChangedEventArgs(info));
         }
     }


    }
}
